import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { IAccordionComponent, IAnswer, IConfigOptions, IMappedQuestionGroupAnswers, ValidationStatus } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkAccordion implements IAccordionComponent {
    storeUnsubscribe?: Unsubscribe;
    questionGroup: IMappedQuestionGroupAnswers;
    startPanelExpanded: boolean;
    /**
     * Web component config options injected from redux
     */
    configOptions: IConfigOptions;
    /**
     * Address validation status, injected from redux
     */
    addressValidationStatus: ValidationStatus;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    handleSubscriptions(): void;
    mapStateToProps: (state: BpSdkStore) => {
        configOptions: IConfigOptions;
        addressValidationStatus: ValidationStatus;
    };
    render(): any[];
    renderExternal(): any;
    renderAnswer(answer: IAnswer): any[];
    renderInternal(): any;
}
